interactions:
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: GET
    uri: http://localhost/api/v4/groups/test%2Fgroup_simple_parameters
  response:
    body:
      string: '{"id":6,"web_url":"http://gitlab.example.com/groups/test/group_simple_parameters","name":"group_simple_parameters","path":"group_simple_parameters","description":"","visibility":"private","lfs_enabled":true,"avatar_url":null,"request_access_enabled":false,"full_name":"test
        / group_simple_parameters","full_path":"test/group_simple_parameters","parent_id":3,"projects":[],"shared_projects":[]}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '393'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Apr 2019 14:17:42 GMT
      Etag:
      - W/"ce3b67d3882fdbad689488b60f9a0ac8"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - LUfErt39rX6
      X-Runtime:
      - '0.031045'
    status:
      code: 200
      message: OK
- request:
    body: '{"description": "Group with simple parameters"}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '47'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: PUT
    uri: http://localhost/api/v4/groups/6
  response:
    body:
      string: '{"id":6,"web_url":"http://gitlab.example.com/groups/test/group_simple_parameters","name":"group_simple_parameters","path":"group_simple_parameters","description":"Group
        with simple parameters","visibility":"private","lfs_enabled":true,"avatar_url":null,"request_access_enabled":false,"full_name":"test
        / group_simple_parameters","full_path":"test/group_simple_parameters","parent_id":3,"projects":[],"shared_projects":[]}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '421'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Apr 2019 14:17:42 GMT
      Etag:
      - W/"3deff5fab613b340a2294e1b787150c4"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - WZ1RaejHDj8
      X-Runtime:
      - '0.089792'
    status:
      code: 200
      message: OK
- request:
    body: '{"lfs_enabled": false}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '22'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: PUT
    uri: http://localhost/api/v4/groups/6
  response:
    body:
      string: '{"id":6,"web_url":"http://gitlab.example.com/groups/test/group_simple_parameters","name":"group_simple_parameters","path":"group_simple_parameters","description":"Group
        with simple parameters","visibility":"private","lfs_enabled":false,"avatar_url":null,"request_access_enabled":false,"full_name":"test
        / group_simple_parameters","full_path":"test/group_simple_parameters","parent_id":3,"projects":[],"shared_projects":[]}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '422'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Apr 2019 14:17:42 GMT
      Etag:
      - W/"c09d2411d0603431c91136b3058e6128"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - FQv8a78xJE6
      X-Runtime:
      - '0.059345'
    status:
      code: 200
      message: OK
- request:
    body: '{"name": "group-with-simple-parameters"}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '40'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: PUT
    uri: http://localhost/api/v4/groups/6
  response:
    body:
      string: '{"id":6,"web_url":"http://gitlab.example.com/groups/test/group_simple_parameters","name":"group-with-simple-parameters","path":"group_simple_parameters","description":"Group
        with simple parameters","visibility":"private","lfs_enabled":false,"avatar_url":null,"request_access_enabled":false,"full_name":"test
        / group-with-simple-parameters","full_path":"test/group_simple_parameters","parent_id":3,"projects":[],"shared_projects":[]}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '432'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Apr 2019 14:17:43 GMT
      Etag:
      - W/"3eabac11838ec7791947aae21c0c328c"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - jeiKAQYreb
      X-Runtime:
      - '0.060611'
    status:
      code: 200
      message: OK
- request:
    body: '{"request_access_enabled": true}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '32'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: PUT
    uri: http://localhost/api/v4/groups/6
  response:
    body:
      string: '{"id":6,"web_url":"http://gitlab.example.com/groups/test/group_simple_parameters","name":"group-with-simple-parameters","path":"group_simple_parameters","description":"Group
        with simple parameters","visibility":"private","lfs_enabled":false,"avatar_url":null,"request_access_enabled":true,"full_name":"test
        / group-with-simple-parameters","full_path":"test/group_simple_parameters","parent_id":3,"projects":[],"shared_projects":[]}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '431'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Apr 2019 14:17:43 GMT
      Etag:
      - W/"98ce82e1755f4a3e62d921f152a7bdf7"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - 8L2gjj7Jr27
      X-Runtime:
      - '0.061261'
    status:
      code: 200
      message: OK
- request:
    body: '{"visibility": "public"}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '24'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: PUT
    uri: http://localhost/api/v4/groups/6
  response:
    body:
      string: '{"id":6,"web_url":"http://gitlab.example.com/groups/test/group_simple_parameters","name":"group-with-simple-parameters","path":"group_simple_parameters","description":"Group
        with simple parameters","visibility":"public","lfs_enabled":false,"avatar_url":null,"request_access_enabled":true,"full_name":"test
        / group-with-simple-parameters","full_path":"test/group_simple_parameters","parent_id":3,"projects":[],"shared_projects":[]}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '430'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Apr 2019 14:17:43 GMT
      Etag:
      - W/"8331439edd6b2cb772a8cfd33bf9e354"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - PK5AfVG11Ga
      X-Runtime:
      - '0.061510'
    status:
      code: 200
      message: OK
version: 1
